<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
include("DF30000.inc");
require_once("DF80000.php");
require_once("RG16100_CL.php");//Clase Dietas
require_once("RG00000_CL.php");//Clase Conexion Inventario
require_once("RG12200_CL.php");//Clase Animales
require_once("RG30000_CL.php");//Clase Dieta Animal,Medicina Animal
$idRancho=$_POST['selran'];
$auxCorral=trim($_POST['tesecorral'],"|");
$auxArrCorral=explode("|",$auxCorral);
$idsCorral=implode(",",$auxArrCorral);
$idDieta=$_POST['bot'];
$fecDieta=chfecha($_POST['fecact'],'d/m/Y','Y-m-d');
$encDieta = new dieTa(array("idDieTa"=>$idDieta,"esAct"=>'1',"fecAct"=>"$fecDieta"));
$detDieta = new detDie(array("idDieTa"=>$idDieta));
$conInventario = new ConInvetario($dataInv);
$animal = new aniMal(array("idRanCho"=>$idRancho,"idCorRal"=>$idsCorral));
$dietaAnimal = new detOrdIet($data);
$dt_dieta=mysqli_fetch_array($encDieta->busReg());//Datos Dieta
$sq_detdie=$detDieta->busByEnc();//Detalle Dieta
$sq_animal=$animal->getRegByRanCor();//Animales
$numAni=mysqli_num_rows($sq_animal);

if($numAni==0){
	echo "<h2>El Numero de Animales no es Valido</h2>";
	exit();
}
//Calcular cantidad y totales x animal
$canAliAni=round($dt_dieta['cantidad']/$numAni,2);
$totAliAni=round($dt_dieta['tot_dieta']/$numAni,2);
$ivaAliAni=round($dt_dieta['iva_dieta']/$numAni,2);
$subAliAni=round($dt_dieta['sub_dieta']/$numAni,2);
$desDieta=$dt_dieta['nom_diet'].". ".whatDay($fecDieta).' '.chfecha($fecDieta,'Y-m-d','d de M de Y');
$flCon=true;
/****************VERIFICA EXISTENCIAS DE INVENTARIO*********************/
while($dt_detdie=mysqli_fetch_array($sq_detdie)){
	$rs=$conInventario->checkInvent(".$dt_detdie['cantidad']."','".$dt_detdie['nparte1'].");
	$dtInv=$conInventario->getLastChecked();
	if($rs=='-1'){
		$flCon=false;
		echo "<h2>
				Existencia en Inventario Insuficiente, <br>
				Producto: ".$dtInv['gen']['desProd'].", 
				Existencia: ".$dtInv['gen']['exiFis'].", 
				Necesario: ".$dt_detdie['cantidad'].", 				 
				Diferencia: ".($dt_detdie['cantidad']-$dtInv['gen']['exiFis']).",				 
				</h2>";
	}
	if($rs=='-2'){
		$flCon=false;	
		echo "<h2>
				Existencia en Almacen Insuficiente, <br>
				Producto: ".$dtInv['gen']['desProd'].", 
				Existencia Total Inventario: ".$dtInv['gen']['exiFis'].", 
				Existencia En Almacen: ".$dtInv['alm']['exiFis'].", 
				Necesario: ".$dt_detdie['cantidad'].", 				 
				Diferencia: ".($dt_detdie['cantidad']-$dtInv['alm']['exiFis']).",				 
				</h2>";
	}
	
}
if(!$flCon){
	exit();
}
/*********************************************************************/
/****************DESCARGA PRODUCTOS DE INVENTARIO*********************/
mysqli_data_seek($sq_detdie,0);
while($dt_detdie=mysqli_fetch_array($sq_detdie)){
	$conInventario->descargaInventario(array(
		"idProd"=>"$dt_detdie['nparte1']",
		"canMov"=>"$dt_detdie['cantidad']",
		"preMov"=>round($dt_detdie['tot_det']/$dt_detdie['cantidad'],2)
	));
}
/*********************************************************************/

/******************DESCARGA ALIMENTO EN ANIMAL************************/
$datDieAni['fecDie']=$fecDieta;
$datDieAni['idDieTa']=$dt_dieta['id_dieta'];
$datDieAni['canTidAd']=$canAliAni;
$datDieAni['desDetOrdIet']=$desDieta;
$datDieAni['totAl']=$totAliAni;
$datDieAni['iva']=$ivaAliAni;
$datDieAni['subTotAl']=$subAliAni;
$procAni=0;
while($dt_animal=mysqli_fetch_array($sq_animal)){
	if($procAni==($numAni-1)){//Con Ultimo Animal Cuadra Totales de dieta
		$datDieAni['canTidAd']=$dt_dieta['cantidad']-$canAliAni*$procAni;
		$datDieAni['totAl']=$dt_dieta['tot_dieta']-$totAliAni*$procAni;
		$datDieAni['iva']=$dt_dieta['iva_dieta']-$ivaAliAni*$procAni;
		$datDieAni['subTotAl']=$dt_dieta['sub_dieta']-$subAliAni*$procAni;	
	}
	$datDieAni['idAltAorDen']=$dt_animal['idAnimal'];
	$datDieAni['idDetOrdEn']=$dt_animal['idAnimal'];
	$dietaAnimal->resetData($datDieAni);
	$dietaAnimal->agregar();
	$datAni['idAniMal']=$dt_animal['idAnimal'];
	$datAni['totAlDieTa']=$dietaAnimal->getReportDatas();   //totalDietas();
	$animal->resetData($datAni);
	$animal->actualizaDieta();
	$procAni++;
}	
/*********************************************************************/
echo "<h2>Actualizacion Correcta, No. de Animales: $numAni</h2>";
echo '<meta content="3; url=RG41000_PR.php" HTTP-EQUIV="REFRESH">';
//Actualiza Status Dieta
$encDieta->actStaDieta();

?>
